summaryrefslogtreecommitdiff
path: root/tests/tests/dsd-clone-drs
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2015-06-20 16:12:12 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2015-06-20 16:12:38 +0100
commitf7d222ee9782806cd05d7a82595c142096c3bd04 (patch)
tree47d80a382301e74417296712f0b6821e3188c189 /tests/tests/dsd-clone-drs
parentedb1f92ab38d37b03452ca65e5b8394e512fffe8 (diff)
Infra: Provide dgit clone-dgit-repos-server
Diffstat (limited to 'tests/tests/dsd-clone-drs')
-rwxr-xr-xtests/tests/dsd-clone-drs17
1 files changed, 17 insertions, 0 deletions
diff --git a/tests/tests/dsd-clone-drs b/tests/tests/dsd-clone-drs
new file mode 100755
index 0000000..3474160
--- /dev/null
+++ b/tests/tests/dsd-clone-drs
@@ -0,0 +1,17 @@
+#!/bin/bash
+set -e
+. tests/lib
+if ! test -d $root/.git; then
+ echo >&2 'not running out of git clone, cannot test self-clone'
+ exit 0
+fi
+
+t-dsd
+
+cd $tmp
+t-dgit clone-dgit-repos-server drs-cloned
+
+cd drs-cloned
+ls -al infra/dgit-repos-server
+
+echo ok.